Tasks
List roles that can be assigned in a project
Workspace roles that can be task assignees in this project: roles with Manage any project, or Editor or Project manager access to the project. Sorted by rank (highest first), then name. Use `roleId` in `assigneeRoleIds`. Needs `PROJECTS_READ` or `TASKS_READ`.
Workspace roles that can be task assignees in this project: roles with Manage any project, or Editor or Project manager access to the project. Sorted by rank (highest first), then name. Use roleId in assigneeRoleIds. Needs PROJECTS_READ or TASKS_READ.
x-api-key<token>
In: header
Path Parameters
projectId*string
Query Parameters
limit?integer
Range
value <= 100Default
50offset?integer
Range
0 <= valueDefault
0search?string
Response Body
application/json
curl -X GET "https://example.com/projects/string/roles"{ "data": [ { "roleId": "string", "name": "string", "color": "string", "rank": 0 } ], "meta": { "total": 0, "limit": 0, "offset": 0 }}
Planeward Docs